/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007-2008 by Timo Benk                                  *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef ENTRYITEMDELEGATE_H
#define ENTRYITEMDELEGATE_H

#include <QItemDelegate>
#include <QLineEdit>
#include <QItemDelegate>
#include <QModelIndex>
#include <QString>
#include <QSize>

class EntryItemDelegate : public QItemDelegate
{
    Q_OBJECT

    public:
        /**
         * Constructs a new EntryItemDelegate object.
         *
         * @param parent - The parent widget.
         */
        EntryItemDelegate(QObject *parent = 0);

        /**
         * Creates a QLineEdit Editor for the specific entry.
         */
        QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const;

        /**
         * Fills the editor with the string of the specific entry.
         */
        void setEditorData(QWidget *editor, const QModelIndex &index) const;

        /**
         * Writes the editor data back to the model.
         */
        void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const;

        /**
         * Give the new geometry back to the view.
         */
        void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const;
    
    signals:

        /**
         * This signal is emited when the editor is opened.
         */
        void openEditor() const;
};

#endif

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
