/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007-2008 by Timo Benk                                  *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include <QApplication>
#include <cstddef>
#include "libpws/secmem.h"

/**
 * Ensure that all memory is locked and finally trashed before
 * it is released.
 */
void * operator new (size_t s)
{  
    return (malloc_secure (s));
}

/**
 * Ensure that all memory is locked and finally trashed before
 * it is released.
 */
void * operator new[] (size_t s)
{  
    return (malloc_secure (s));
}

/**
 * Ensure that all memory is locked and finally trashed before
 * it is released.
 */
void operator delete (void *p)
{  
    free_secure (p);
}

/**
 * Ensure that all memory is locked and finally trashed before
 * it is released.
 */
void operator delete[] (void *p)
{  
    free_secure (p);
}

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
