/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007-2008 by Timo Benk                                  *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include "watchdog.h"

/**
 * This is the static WatchDog instance.
 */
WatchDog *WatchDog::watchdog = NULL;

/**
 * This method must be called before installing the
 * watchdog.
 */
void WatchDog::init()
{
    watchdog = new WatchDog();
}

/**
 * This method is the actual event filter implementation.
 */
bool WatchDog::eventFilter(QObject *obj, QEvent *event)
{
    if (event->type() == QEvent::KeyPress          || 
        event->type() == QEvent::MouseButtonPress  ||
        event->type() == QEvent::QEvent::MouseMove) 
    {
        emit hit();
    }
    else if (event->type() == QEvent::ChildAdded)
    {
        if (obj->isWidgetType())
        {
            obj->installEventFilter(WatchDog::watchdog);
        }
    }

    return QObject::eventFilter(obj, event);
}

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
