/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007-2008 by Timo Benk                                  *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include "aboutdialog.h"

/**
 * Nothing special, just a about dialog.
 */
AboutDialog::AboutDialog(QWidget *parent) : QDialog(parent)
{   
    setAttribute (Qt::WA_DeleteOnClose, true);

    m_title_lbl     = new QLabel(QString("<center><b>") + tr ("PWS passwordsafe v") + QString(PWS_VERSION) + QString("</b><br><br>http://www.pwsafe.de</center>"));
    m_copyright_lbl = new QLabel(tr("<br>Copyright (c) 2007 by Timo Benk"));
    m_license_lbl   = new QLabel(tr("Licensed under version 2 of the GNU General Public License (GPL)"));
    m_icon          = new QLabel();

    QPixmap pixmap = QIcon(":/images/logo.png").pixmap(90, 90);
    m_icon->setPixmap (pixmap);

    m_ok_btn = new QPushButton("&Close");
    m_ok_btn->setMinimumWidth (120);
    m_ok_btn->setMaximumWidth (120);

    m_gbox = new QGridLayout();
    m_gbox->addWidget (m_icon,          0,0, 1,1);
    m_gbox->addWidget (m_title_lbl,     0,1);
    m_gbox->addWidget (m_copyright_lbl, 1,0, 1,2);
    m_gbox->addWidget (m_license_lbl,   2,0, 1,2);

    m_gbox->setColumnStretch (0, 0); 
    m_gbox->setColumnStretch (1, 255); 

    m_box = new QGroupBox ();
    m_box->setLayout (m_gbox);

    m_grid = new QGridLayout();
    m_grid->addWidget (m_box,    0,0, 1,2);
    m_grid->addWidget (m_ok_btn, 1,1);

    setLayout (m_grid);
    setWindowTitle (tr("About pws"));

    connect (m_ok_btn, SIGNAL(clicked(bool)), this, SLOT(close()));

    (void) new QShortcut(Qt::Key_Enter, this, SLOT(close()));
    (void) new QShortcut(Qt::Key_Return, this, SLOT(close()));
}

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
