/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007-2008 by Timo Benk                                  *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef INFORMATIONDIALOG_H
#define INFORMATIONDIALOG_H

#include <QDialog>
#include <QGridLayout>
#include <QLabel>
#include <QLineEdit>
#include <QGroupBox>
#include <QDateTime>
#include <QPushButton>
#include "configstore.h"
#include "pwstreemodel.h"

class InformationDialog : public QDialog
{
    Q_OBJECT 

    public:
        /**
         * This dialog shows informations stored inside the database header.
         */
        InformationDialog(PWSTreeModel * model, QWidget *parent = 0);

    signals:
        /**
         * This signal is emitted when the "ok" button was clicked.
         */
        void submit();

    public slots:
        /**
         * This slot is called when the user selects the "ok" button.
         */
        void slot_okClicked ();

        /**
         * This slot is called when the user selects the "cancel" button.
         */
        void slot_cancelClicked ();

    protected:
        /**
         * The child widgets.
         */
        QLabel *m_uuid_lbl;
        QLabel *m_last_uid_lbl;
        QLabel *m_last_mod_lbl;
        QLabel *m_last_app_lbl;
        QLabel *m_last_host_lbl;
        QLabel *m_db_name_lbl;
        QLabel *m_db_desc_lbl;
        QLabel *m_ver_lbl;
        QLabel *m_num_groups_lbl;
        QLabel *m_num_entries_lbl;

        QLabel *m_uuid_inf;
        QLabel *m_last_uid_inf;
        QLabel *m_last_mod_inf;
        QLabel *m_last_app_inf;
        QLabel *m_last_host_inf;
        QLabel *m_ver_inf;
        QLabel *m_num_groups_inf;
        QLabel *m_num_entries_inf;

        QPushButton *m_ok_btn;
        QPushButton *m_cancel_btn;

        QLineEdit *m_db_name_edt;
        QLineEdit *m_db_desc_edt;

        QGroupBox   *m_box;
        QGridLayout *m_grid;
        QGridLayout *m_main_grid;
};

#endif

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
